package com.zm.order.tool.server.enums;

/**
 * @author NianChang
 * @ClassName OrderItemTypeEnum
 * @date 2021/03/12 1:54 下午
 */
public enum OrderItemTypeEnum {

    /**
     * 普通商品
     */
    COMMON_ITEM(0, "普通商品"),

    /**
     * 套餐商品
     */
    SET_MEAL_ITEM(1, "套餐商品"),

    /**
     * 套餐子商品
     */
    SET_MEAL_SUB_ITEM(2, "套餐子商品"),

    /**
     * 优惠券商品
     */
    COUPON_ITEM(3, "优惠券商品"),

    /**
     * 优惠券商品
     */
    THIRD_RIGHTS_GOODS(4, "三方权益商品"),

    /**
     * 券包商品
     */
    COUPON_BAG_GOODS(5, "券包商品"),

    /**
     * 付费权益卡商品
     */
    PAID_EQUITY_CARD_GOODS(6, "付费权益卡商品"),
    ;

    OrderItemTypeEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    private final Integer code;

    private final String desc;

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }
}
